program eci
!-----------------------------------------------------------------------
!     An example of a main program for Exact Confidence Intervals...
!     epsilon is precision required
!     type is distribution name:
!                     bin for binomial
!                     bng for negative binomial
!-----------------------------------------------------------------------
   implicit none
   real(kind=8), parameter :: zero=0.0_8, half=0.5_8, one=1.0_8
   real(kind=8) :: alpha=.05_8
   real(kind=8) :: epsilon=1.0e-10_8
   real(kind=8) :: l, u
   integer :: ier, n=9, x=5
   character(len=3) :: type="bin"

   write(*,*) "Exact Confidence Intervals for one parameter discrete distributions"
   write(*,*) "  "
   write(*,*) "Enter type (bin or bng) and epsilon (precision):"
   read(*,*,end=90) type, epsilon
   write(*,*) "type: ",type," epsilon=",epsilon
   do
      write(*,*) "Enter x, n, alpha: "
      read(*,*,end=90) x, n, alpha
      if( x < 0 ) exit
      if( n <= 0 ) exit
      if( alpha <= 0.0_8 ) exit
      write(*,*) "  x=",x,"   n=",n,"   alpha=",alpha
      call eci1pdd( epsilon, type, x, n, alpha, l, u, ier )
      write(*,11) l,u,ier
   end do

   90 continue
   11 format(1x,"CI: [",2f14.11," ]    Error code:",i3)
end program eci
   include 'eci1pdd.f90'
   include 'upperlimit.f90'
   include 'sumdif.f90'
   include 'binompmf.f90'
   include 'binomcdf.f90'
   include 'ibinom.f90'
   include 'nbinompmf.f90'
   include 'nbinomcdf.f90'
   include 'inbinom.f90'
   include 'betacdf.f90'
   include 'ibeta.f90'
   include 'chi2cdf.f90'
   include 'ncdf.f90'
